Subject: [netmod] Few errors/typo in RFC 6021

From: Navin Agrawal <[email-masked]>
Date: Mon, 16 Mar 2015 15:44:50 +0000

Hello All,

I am new to yang and stuff. However, while browsing through the above RFC, I thought typedef for ip-version needs few corrections.

------------------------------------------------------------------------
  /*** collection of types related to protocol fields ***/

  typedef ip-version {
    type enumeration {
      enum unknown {
        value "0";
        description
         "An unknown or unspecified version of the Internet
          protocol.";
      }
      enum ipv4 {
        value "1";
        description
         "The IPv4 protocol as defined in RFC 791.";
      }
      enum ipv6 {
        value "2";
        description
         "The IPv6 protocol as defined in RFC 2460.";
      }
    }
    description
     "This value represents the version of the IP protocol.

      In the value set and its semantics, this type is equivalent
      to the InetVersion textual convention of the SMIv2.";
    reference
     "RFC  791: Internet Protocol
      RFC 2460: Internet Protocol, Version 6 (IPv6) Specification
      RFC 4001: Textual Conventions for Internet Network Addresses";
  }
------------------------------------------------------------------------

1.  Values "1" and "2": The values specified here should match with correct version values (i.e. 4 and 6 for ipv4 and ipv6 respectively).

2.  Also as RFC intends to refer to IP version and *not* the IP address type, the following text should be removed too.

a.  Text "In the value set and its semantics,..."

b.  Reference to RFC 4001

BR/Navin

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 16 Mar 2015 17:26:03 +0100

> I am new to yang and stuff. However, while browsing through the above RFC, I thought typedef for ip-version needs few corrections.

Being compatible to the equivalent SNMP definition was considered
important by the WG when this definition was written. Perhaps
InetVersion should have used 4 and 6 instead of 1 and 2 but its too
late for that.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>